package com.ningdatech.kqapi.admin.model.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 专区对象
 * </p>
 *
 * @author WendyYang
 * @since 2024-04-20
 */
@Data
@TableName("nd_zone")
@ApiModel(value = "Zone对象")
public class Zone implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("专区名称")
    private String zoneName;

    @ApiModelProperty("专区图标")
    private String zoneIcon;

    @TableLogic
    private Boolean deleted;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createOn;

    @TableField(fill = FieldFill.INSERT)
    private Long createBy;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateOn;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateBy;

}
